Subject: bug#49781: closed (Re: bug#49781: Successful build on ci.guix not available as substitute)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Aug 2021 13:32:02 +0000

Your bug report

#49781: Successful build on ci.guix not available as substitute

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49781: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49781
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49781: Successful build on ci.guix not available as substitute
From: Mathieu Othacehe <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 09 Aug 2021 15:31:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey Ludo!

I found out the reason of this failure, the .185 key was not authorized
on Berlin. This issue while really simple, took us a long time to
detect. I think we need to come out with a big warning somewhere when a
substitute is refused because the server is not authorized.

In the meantime this is fixed with
d8f078a2c96b867abba5092a251175b8d82dd37c in the maintenance repository.

Closing this one,

Thanks,

Mathieu

Subject: Successful build on ci.guix not available as substitute
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 30 Jul 2021 10:56:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I stumbled upon the case of a build that was successful on ci.guix but
that does not have a corresponding substitute:

  https://ci.guix.gnu.org/build/806609/details

and:

--8<---------------cut here---------------start------------->8---
$ wget -O- https://ci.guix.gnu.org/slm0x0j05vyl3vqbjhgc0nch6jca9fp3.narinfo
--2021-07-30 10:53:15--  https://ci.guix.gnu.org/slm0x0j05vyl3vqbjhgc0nch6jca9fp3.narinfo
Ni solvigas ci.guix.gnu.org (ci.guix.gnu.org)... 141.80.181.40
Konektado al ci.guix.gnu.org (ci.guix.gnu.org)|141.80.181.40|:443... konektita.
HTTP peto sendita, ni atendas respondon... 404 Not Found
2021-07-30 10:53:15 ERARO 404: Not Found.
--8<---------------cut here---------------end--------------->8---

The store item vanished from berlin, though the .drv is still there:

--8<---------------cut here---------------start------------->8---
ludo@berlin ~$ ls /gnu/store/slm0x0j05vyl3vqbjhgc0nch6jca9fp3-xnnpack-0.0-1.bbe8824
ls: cannot access '/gnu/store/slm0x0j05vyl3vqbjhgc0nch6jca9fp3-xnnpack-0.0-1.bbe8824': No such file or directory
ludo@berlin ~$ guix gc --derivers /gnu/store/slm0x0j05vyl3vqbjhgc0nch6jca9fp3-xnnpack-0.0-1.bbe8824
/gnu/store/hrn9hj7v1img3il6afh3r036aczvwnyd-xnnpack-0.0-1.bbe8824.drv
ludo@berlin ~$ ls $(guix gc --derivers /gnu/store/slm0x0j05vyl3vqbjhgc0nch6jca9fp3-xnnpack-0.0-1.bbe8824)
/gnu/store/hrn9hj7v1img3il6afh3r036aczvwnyd-xnnpack-0.0-1.bbe8824.drv
--8<---------------cut here---------------end--------------->8---

It’s the first time I see this.  My understanding is that Cuirass makes
a GET request on ‘guix publish’ upon build completion.  Could there be a
race condition or something that can explain this?

Thanks,
Ludo’.